$blue-color: #42a7fe;
$green-color: #00c899;
$primary: #FC556F;
$secondary: #FD9C84;
$gradient: linear-gradient(to right, $primary, $secondary);
@mixin size($width, $height: $width) {
  width: $width;
  height: $height;
}

@mixin maxWidth($value) {
  @media screen and (max-width: $value) {
    @content
  }
}

html {
  font-size: 62.5%;
}

body {
  font-family: "Poppins", sans-serif;
  font-size: 1.6rem;
  font-weight: normal;
  width: 100%;
  height: 100vh;
  background-color: #f3f3f3;
  padding: 2rem;
}

a {
  text-decoration: none;
}

img {
  display: block;
  max-width: 100%;
}

@mixin flexbox($align: flex-start, $justify: flex-start, $flex-direction: row, $wrap: nowrap) {
  display: flex;
  align-items: $align;
  justify-content: $justify;
  flex-direction: $flex-direction;
  flex-wrap: $wrap;
}

.file {
  @include size(10rem);
  border-radius: 1rem;
  border: 1px solid $primary;
  background-color: rgba($secondary, 0.5);
  position: relative;
  color: white;

  &__input {
    display: none;
  }

  &__label {
    @include flexbox(center, center);
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    z-index: 2;
  }
}


